package com.bocloud.cmp.model.xsky;

import java.util.Date;

public class FileSystemModel {
    private String fileSystemUuid;
    private Long accessMemberNum;
    private String actionStatus;
    private String blockVolumeStatus;
    private Date createTime;
    private String description;
    private Boolean flattened;
    private Boolean formatted;
    private Long fsQuotaTreeNum;
    private Long fsSnapshotNum;
    private Date latestSnapshotTime;
    private String name;
    private Double progress;
    private String qos;
    private Boolean qosEnabled;
    private Boolean shared;
    private Double size;
    private Double usedKbyte;
    private String status;
    private Date updateTime;
    private String samples;
    private String accessPathUuid;
    private String accessPathName;
    private String blockVolumeUuid;
    private String blockVolumeName;
    private String poolUuid;
    private String poolName;
    private String fsSnapshotUuid;
    private String fsSnapshotName;

    public String getFileSystemUuid() {
        return fileSystemUuid;
    }

    public void setFileSystemUuid(String fileSystemUuid) {
        this.fileSystemUuid = fileSystemUuid;
    }

    public Long getAccessMemberNum() {
        return accessMemberNum;
    }

    public void setAccessMemberNum(Long accessMemberNum) {
        this.accessMemberNum = accessMemberNum;
    }

    public String getActionStatus() {
        return actionStatus;
    }

    public void setActionStatus(String actionStatus) {
        this.actionStatus = actionStatus;
    }

    public String getBlockVolumeStatus() {
        return blockVolumeStatus;
    }

    public void setBlockVolumeStatus(String blockVolumeStatus) {
        this.blockVolumeStatus = blockVolumeStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getFlattened() {
        return flattened;
    }

    public void setFlattened(Boolean flattened) {
        this.flattened = flattened;
    }

    public Boolean getFormatted() {
        return formatted;
    }

    public void setFormatted(Boolean formatted) {
        this.formatted = formatted;
    }

    public Long getFsQuotaTreeNum() {
        return fsQuotaTreeNum;
    }

    public void setFsQuotaTreeNum(Long fsQuotaTreeNum) {
        this.fsQuotaTreeNum = fsQuotaTreeNum;
    }

    public Long getFsSnapshotNum() {
        return fsSnapshotNum;
    }

    public void setFsSnapshotNum(Long fsSnapshotNum) {
        this.fsSnapshotNum = fsSnapshotNum;
    }

    public Date getLatestSnapshotTime() {
        return latestSnapshotTime;
    }

    public void setLatestSnapshotTime(Date latestSnapshotTime) {
        this.latestSnapshotTime = latestSnapshotTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getProgress() {
        return progress;
    }

    public void setProgress(Double progress) {
        this.progress = progress;
    }

    public String getQos() {
        return qos;
    }

    public void setQos(String qos) {
        this.qos = qos;
    }

    public Boolean getQosEnabled() {
        return qosEnabled;
    }

    public void setQosEnabled(Boolean qosEnabled) {
        this.qosEnabled = qosEnabled;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getSamples() {
        return samples;
    }

    public void setSamples(String samples) {
        this.samples = samples;
    }

    public String getAccessPathUuid() {
        return accessPathUuid;
    }

    public void setAccessPathUuid(String accessPathUuid) {
        this.accessPathUuid = accessPathUuid;
    }

    public String getAccessPathName() {
        return accessPathName;
    }

    public void setAccessPathName(String accessPathName) {
        this.accessPathName = accessPathName;
    }

    public String getBlockVolumeUuid() {
        return blockVolumeUuid;
    }

    public void setBlockVolumeUuid(String blockVolumeUuid) {
        this.blockVolumeUuid = blockVolumeUuid;
    }

    public String getBlockVolumeName() {
        return blockVolumeName;
    }

    public void setBlockVolumeName(String blockVolumeName) {
        this.blockVolumeName = blockVolumeName;
    }

    public String getPoolUuid() {
        return poolUuid;
    }

    public void setPoolUuid(String poolUuid) {
        this.poolUuid = poolUuid;
    }

    public String getPoolName() {
        return poolName;
    }

    public void setPoolName(String poolName) {
        this.poolName = poolName;
    }

    public String getFsSnapshotUuid() {
        return fsSnapshotUuid;
    }

    public void setFsSnapshotUuid(String fsSnapshotUuid) {
        this.fsSnapshotUuid = fsSnapshotUuid;
    }

    public String getFsSnapshotName() {
        return fsSnapshotName;
    }

    public void setFsSnapshotName(String fsSnapshotName) {
        this.fsSnapshotName = fsSnapshotName;
    }

    public Double getSize() {
        return size;
    }

    public void setSize(Double size) {
        this.size = size;
    }

    public Double getUsedKbyte() {
        return usedKbyte;
    }

    public void setUsedKbyte(Double usedKbyte) {
        this.usedKbyte = usedKbyte;
    }

    public Boolean getShared() {
        return shared;
    }

    public void setShared(Boolean shared) {
        this.shared = shared;
    }
}